## miniupnpd 2.2.3

=== netfilter_nft/Makefile ===
CFLAGS?=-Wall -g -Wstrict-prototypes -Wdeclaration-after-statement
CPPFLAGS += -I.
CPPFLAGS += -D_GNU_SOURCE -DDEBUG
CPPFLAGS += -DUSE_NETFILTER -DUSE_NFTABLES
CPPFLAGS += -DENABLE_UPNPPINHOLE
CPPFLAGS += -DUSE_NFCT
CC = gcc

LIBS = -lnftnl -lmnl

ARCH := $(shell uname -m | grep -q "x86_64" && echo 64)

all:	test_nfct_get testnftnlrdr testnftpinhole

clean:
	$(RM) *.o config.h testnftnlcrdr testnftpinhole testnftnlrdr_peer \
		test_nfct_get testnftnlrdr 

config.h:
	touch $@

testnftnlrdr:	nftnlrdr.o nftnlrdr_misc.o testnftnlrdr.o $(LIBS)

testnftpinhole:	nftpinhole.o nftnlrdr_misc.o testnftpinhole.o \
	../upnputils.o ../linux/getroute.o $(LIBS)

test_nfct_get:	test_nfct_get.o test_nfct_get.o -lmnl -lnetfilter_conntrack

test_nfct_get.o:	test_nfct_get.c

testnftnlrdr_peer.o:	testnftnlrdr_peer.c

testnftnlrdr_dscp.o:	testnftnlrdr_dscp.c

nftnlrdr.o:		nftnlrdr.c nftnlrdr.h config.h

nftnlrdr_misc.o:	nftnlrdr_misc.c

nftpinhole.o:		nftpinhole.c nftpinhole.h config.h

testnftnlrdr.o:		config.h nftnlrdr.h nftnlrdr_misc.h

testnftpinhole.o:	config.h nftpinhole.h

=== debian/changelog ===
miniupnpd (2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Enable leasefile.
  * debian/miniupnpd-startstop-helper.sh: Detect nftables without iptables
    (Closes: #992603).
  * Fix FTCBFS: Let dpkg's buildtools.mk supply cross tools (Closes: #982259).
  * Start service in background for systemd unit file (Closes: #981236).
  * Update Debconf translations, with thanks to:
    - Brazilian Portuguese, Adriano Rafael Gomes (Closes: #987229).
    - Swedish, Martin Bagge / brother (Closes: #995298).
  * Bump Standards-Version to 4.6.0.

 -- Yangfl <mmyangfl@gmail.com>  Sun, 03 Oct 2021 13:50:36 +0800

=== debian/control ===
Source: miniupnpd
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 libiptc-dev,
 libxtables-dev,
 libnftnl-dev,
 libmnl-dev,
 pkg-config,
 po-debconf,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/miniupnp-team/miniupnpd
Vcs-Git: https://salsa.debian.org/miniupnp-team/miniupnpd.git
Homepage: http://miniupnp.free.fr/

Package: miniupnpd
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 debconf,
 lsb-base,
 uuid-runtime,
 miniupnpd-nftables | miniupnpd-iptables,
 ${misc:Depends},
Description: UPnP and NAT-PMP daemon for gateway routers
 MiniUPnPd is a small daemon which can be installed on a NAT router to
 provide UPnP Internet Gateway Device and Port Mapping Protocol services,
 enabling clients on the LAN to ask for port redirections. It is
 compatible with peer-to-peer software, messaging applications, and games
 consoles that connect to online services (including Xbox LIVE and the
 PlayStation Network).

Package: miniupnpd-nftables
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: miniupnpd-iptables
Breaks: miniupnpd (<< 2.2.0)
Replaces: miniupnpd (<< 2.2.0)
Description: UPnP and NAT-PMP daemon for gateway routers - nftables backend
 MiniUPnPd is a small daemon which can be installed on a NAT router to
 provide UPnP Internet Gateway Device and Port Mapping Protocol services,
 enabling clients on the LAN to ask for port redirections. It is
 compatible with peer-to-peer software, messaging applications, and games
 consoles that connect to online services (including Xbox LIVE and the
 PlayStation Network).
 .
 This package provides miniupnpd with nftables backend.

Package: miniupnpd-iptables
Architecture: linux-any
Depends:
 iptables,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: miniupnpd-nftables
Breaks: miniupnpd (<< 2.2.0)
Replaces: miniupnpd (<< 2.2.0)
Description: UPnP and NAT-PMP daemon for gateway routers - legacy iptables backend
 MiniUPnPd is a small daemon which can be installed on a NAT router to
 provide UPnP Internet Gateway Device and Port Mapping Protocol services,
 enabling clients on the LAN to ask for port redirections. It is
 compatible with peer-to-peer software, messaging applications, and games
 consoles that connect to online services (including Xbox LIVE and the
 PlayStation Network).
 .
 This package provides miniupnpd with iptables backend. The iptables/xtables
 framework has been replaced by nftables. You should consider migrating now.

## miniupnpd 2.3.1

=== debian/changelog ===
miniupnpd (2.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix nftables scripts (Closes: #994726).
  * Fix systemd unit file (Closes: #1008797).
  * Update Spanish debconf translation, thanks to Camaleón <noelamac@gmail.com>
    (Closes: #1017459).
  * Bump Standards-Version to 4.6.2.

 -- Yangfl <mmyangfl@gmail.com>  Thu, 22 Dec 2022 00:38:53 +0800

miniupnpd (2.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:22:46 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  pkg-config,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/miniupnp-team/miniupnpd
 Vcs-Git: https://salsa.debian.org/miniupnp-team/miniupnpd.git
 Homepage: http://miniupnp.free.fr/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

export SRCDIR = .


%:
	dh $@

override_dh_auto_clean:
	+$(MAKE) -f Makefile.linux clean
	rm -f .configure.cache config.mk config.h Makefile netfilter/miniupnpd netfilter_nft/miniupnpd

override_dh_auto_configure:
	# skip

override_dh_auto_build:
	# leasefile, see #961877 and merge_requests/1
	./configure --igd2 --ipv6 --vendorcfg --pcp-peer --portinuse --leasefile --firewall=iptables
	+$(MAKE) -f Makefile.linux miniupnpd
	mv miniupnpd netfilter/
	+$(MAKE) -f Makefile.linux clean
	./configure --igd2 --ipv6 --vendorcfg --pcp-peer --portinuse --leasefile --firewall=nftables
	+$(MAKE) -f Makefile.linux_nft miniupnpd
	mv miniupnpd netfilter_nft/

override_dh_auto_test:
	# some test scripts missing from the tarball

override_dh_auto_install:
	+$(MAKE) -f Makefile.linux_nft install STRIP=echo DESTDIR=debian/tmp
	+$(MAKE) -f Makefile.linux install STRIP=echo DESTDIR=debian/tmp
	# I don't know why
	rm debian/tmp/etc/miniupnpd/miniupnpd.conf~

execute_after_dh_install-indep:
	# Move the miniupnpd.conf in /usr/share so it's not marked as CONFFILE
	mkdir -p $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd
	mv $(CURDIR)/debian/miniupnpd/etc/miniupnpd/miniupnpd.conf $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/
	sed -i " \
		/^secure_mode=no/ d; \
		/^notify_interval=60/ d; \
		s/^clean_ruleset_interval=600/#clean_ruleset_interval=600/; \
		s/^allow/#allow/; \
		s/^deny/#deny/; \
		s/^uuid=.*/uuid=/; \
	" $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/miniupnpd.conf

	# Copy the /etc/default/miniupnpd to /usr/share
	cp $(CURDIR)/debian/examples/miniupnpd.default $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/

override_dh_installinit-indep:
	dh_installinit -i --no-enable --no-start

override_dh_installsystemd-indep:
	dh_installsystemd -i --no-enable --no-start


############################################
### Below is to manage upstream Git repo ###
### and is not used during package build ###
############################################

display-po-stats:
	cd $(CURDIR)/debian/po ; for i in *.po ; do \
		echo -n $$i": " ; \
		msgfmt -o /dev/null --statistic $$i ; \
	done

call-for-po-trans:
	podebconf-report-po --call --withtranslators --languageteam

## miniupnpd 2.3.3

=== debian/changelog ===
miniupnpd (2.3.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix nftables scripts (Closes: #994726).
  * Split miniupnpd_functions.sh for each backend. (Closes: #1039054).
  * Add Romanian debconf translaiton, thanks to "Remus-Gabriel Chelu"
    <remusgabriel.chelu@disroot.org> (Closes: #1032727).

 -- Yangfl <mmyangfl@gmail.com>  Sun, 06 Aug 2023 07:27:24 +0800

## miniupnpd 2.3.4

=== debian/changelog ===
miniupnpd (2.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Yangfl <mmyangfl@gmail.com>  Wed, 10 Jan 2024 23:59:14 +0800

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  ${misc:Pre-Depends},
 Depends:
  debconf,
- lsb-base,
  uuid-runtime,
  miniupnpd-nftables | miniupnpd-iptables,
  ${misc:Depends},
@@ -39,11 +38,12 @@
 Package: miniupnpd-nftables
 Architecture: linux-any
 Depends:
+ miniupnpd,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts: miniupnpd-iptables
-Breaks: miniupnpd (<< 2.2.0)
-Replaces: miniupnpd (<< 2.2.0)
+Breaks: miniupnpd (<< 2.3.3)
+Replaces: miniupnpd (<< 2.3.3)
 Description: UPnP and NAT-PMP daemon for gateway routers - nftables backend
  MiniUPnPd is a small daemon which can be installed on a NAT router to
  provide UPnP Internet Gateway Device and Port Mapping Protocol services,
@@ -57,12 +57,13 @@
 Package: miniupnpd-iptables
 Architecture: linux-any
 Depends:
+ miniupnpd,
  iptables,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts: miniupnpd-nftables
-Breaks: miniupnpd (<< 2.2.0)
-Replaces: miniupnpd (<< 2.2.0)
+Breaks: miniupnpd (<< 2.3.3)
+Replaces: miniupnpd (<< 2.3.3)
 Description: UPnP and NAT-PMP daemon for gateway routers - legacy iptables backend
  MiniUPnPd is a small daemon which can be installed on a NAT router to
  provide UPnP Internet Gateway Device and Port Mapping Protocol services,

=== debian/rules ===
--- 
+++ 
@@ -38,13 +38,8 @@
 override_dh_auto_install:
 	+$(MAKE) -f Makefile.linux_nft install STRIP=echo DESTDIR=debian/tmp
 	+$(MAKE) -f Makefile.linux install STRIP=echo DESTDIR=debian/tmp
-	# I don't know why
-	rm debian/tmp/etc/miniupnpd/miniupnpd.conf~
 
-execute_after_dh_install-indep:
-	# Move the miniupnpd.conf in /usr/share so it's not marked as CONFFILE
-	mkdir -p $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd
-	mv $(CURDIR)/debian/miniupnpd/etc/miniupnpd/miniupnpd.conf $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/
+execute_after_dh_auto_install:
 	sed -i " \
 		/^secure_mode=no/ d; \
 		/^notify_interval=60/ d; \
@@ -52,10 +47,7 @@
 		s/^allow/#allow/; \
 		s/^deny/#deny/; \
 		s/^uuid=.*/uuid=/; \
-	" $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/miniupnpd.conf
-
-	# Copy the /etc/default/miniupnpd to /usr/share
-	cp $(CURDIR)/debian/examples/miniupnpd.default $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/
+	" $(CURDIR)/debian/tmp/etc/miniupnpd/miniupnpd.conf
 
 override_dh_installinit-indep:
 	dh_installinit -i --no-enable --no-start

=== debian/watch ===
version=4
opts=filenamemangle=s/.*file=([^&]*)/$1/,uversionmangle=s/-RC/~rc/,pgpsigurlmangle=s%$%.sig% \
	http://miniupnp.free.fr/files/download.php\?file=miniupnpd-(\d\.\d(?:\.\d)?(?:-.*)?).tar.gz

## miniupnpd 2.3.7

=== mac/Makefile ===
# $Id: Makefile,v 1.2 2011/02/20 23:43:41 nanard Exp $
# made for GNU Make
CFLAGS = -Wall -g
EXECUTABLES = testgetifstats

all:	$(EXECUTABLES)

clean:
	rm -f *.o $(EXECUTABLES)

testmacrdr.o:	testmacrdr.c macrdr.h

testgetifstats:	testgetifstats.o getifstats.o

=== netfilter/Makefile ===
# $Id: Makefile,v 1.9 2020/03/22 22:47:19 nanard Exp $
CFLAGS?=-Wall -g -D_GNU_SOURCE -DDEBUG -Wstrict-prototypes -Wdeclaration-after-statement
CC = gcc

#LIBS = -liptc
LIBS = -lip4tc

ARCH := $(shell uname -m | grep -q "x86_64" && echo 64)
ifdef IPTABLESPATH
CFLAGS := $(CFLAGS) -I$(IPTABLESPATH)/include/
LDFLAGS := $(LDFLAGS) -L$(IPTABLESPATH)/libiptc/
# get iptables version and set IPTABLES_143 macro if needed
IPTABLESVERSION := $(shell grep "\#define VERSION" $(IPTABLESPATH)/config.h | tr -d \" |cut -d" " -f3 )
IPTABLESVERSION1 := $(shell echo $(IPTABLESVERSION) | cut -d. -f1 )
IPTABLESVERSION2 := $(shell echo $(IPTABLESVERSION) | cut -d. -f2 )
IPTABLESVERSION3 := $(shell echo $(IPTABLESVERSION) | cut -d. -f3 )
# test if iptables version >= 1.4.3
TEST := $(shell [ \( \( $(IPTABLESVERSION1) -ge 1 \) -a \( $(IPTABLESVERSION2) -ge 4 \) \) -a \( $(IPTABLESVERSION3) -ge 3 \) ] && echo 1 )
ifeq ($(TEST), 1)
CFLAGS := $(CFLAGS) -DIPTABLES_143
# the following sucks, but works
LIBS = $(IPTABLESPATH)/libiptc/.libs/libip4tc.o
#LIBS = $(IPTABLESPATH)/libiptc/.libs/libiptc.a
else
LIBS = $(IPTABLESPATH)/libiptc/libiptc.a
endif
else
# check for system-wide iptables files. Test if iptables version >= 1.4.3
#TEST := $(shell test -f /usr/include/iptables/internal.h && grep -q "\#define IPTABLES_VERSION" /usr/include/iptables/internal.h && echo 1)
TEST := $(shell test -f /usr/include/xtables.h && grep -q "XTABLES_VERSION_CODE" /usr/include/xtables.h && echo 1)
ifeq ($(TEST), 1)
CFLAGS := $(CFLAGS) -DIPTABLES_143
LIBS = -liptc
TEST_LIB := $(shell test -f /usr/lib$(ARCH)/libiptc.a && echo 1)
ifeq ($(TEST_LIB), 1)
LIBS = -liptc /usr/lib$(ARCH)/libiptc.a
endif
endif
endif

LIBS +=  /lib/libip4tc.so /lib/libip6tc.so

all:	iptcrdr.o testiptcrdr iptpinhole.o \
        testiptcrdr_peer testiptcrdr_dscp test_nfct_get
#        testiptpinhole

clean:
	$(RM) *.o testiptcrdr testiptpinhole testiptcrdr_peer test_nfct_get \
        testiptcrdr_dscp

testiptcrdr:	testiptcrdr.o upnpglobalvars.o $(LIBS)

testiptcrdr_peer:	testiptcrdr_peer.o upnpglobalvars.o $(LIBS)

testiptcrdr_dscp:	testiptcrdr_dscp.o upnpglobalvars.o $(LIBS)

testiptpinhole:	testiptpinhole.o iptpinhole.o upnpglobalvars.o $(LIBS)

test_nfct_get:	test_nfct_get.o test_nfct_get.o -lmnl -lnetfilter_conntrack

test_nfct_get.o:	test_nfct_get.c

testiptcrdr_peer.o:	testiptcrdr_peer.c

testiptcrdr_dscp.o:	testiptcrdr_dscp.c

iptcrdr.o:	iptcrdr.c iptcrdr.h

iptpinhole.o:	iptpinhole.c iptpinhole.h

upnpglobalvars.o:	../upnpglobalvars.c ../upnpglobalvars.h
	$(CC) -c -o $@ $<


#depends
testiptcrdr.o: testiptcrdr.c iptcrdr.c
testiptcrdr_dscp.o:	testiptcrdr_dscp.c iptcrdr.c
testiptcrdr_peer.o:	testiptcrdr_peer.c iptcrdr.c
test_nfct_get.o:	test_nfct_get.c nfct_get.c

=== netfilter_nft/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 testnftnlrdr:	nftnlrdr.o nftnlrdr_misc.o testnftnlrdr.o $(LIBS)
 
-testnftpinhole:	nftpinhole.o nftnlrdr_misc.o testnftpinhole.o \
+testnftpinhole:	nftpinhole.o nftnlrdr.o nftnlrdr_misc.o testnftpinhole.o \
 	../upnputils.o ../linux/getroute.o $(LIBS)
 
 test_nfct_get:	test_nfct_get.o test_nfct_get.o -lmnl -lnetfilter_conntrack

=== debian/changelog ===
miniupnpd (2.3.7-2) unstable; urgency=medium

  * Add netfilter_nft/README.md as doc (Closes: #1095264).
  * Suggest users to edit config files before starting the daemon
    (Closes: #1066874, #1090753).
  * Bump Standards-Version to 4.7.2.

 -- Yangfl <mmyangfl@gmail.com>  Sat, 08 Mar 2025 00:07:52 +0800

miniupnpd (2.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Increase TasksMax in systemd service file to avoid forking problems.
    (Closes: #1033012).
  * Use either iproute* tool in config script. (Closes: #1070472).
  * Bump Standards-Version to 4.7.0.

 -- Yangfl <mmyangfl@gmail.com>  Sun, 30 Jun 2024 21:54:53 +0800

=== debian/watch ===
version=4
opts=filenamemangle=s/.*file=([^&]*)/$1/,uversionmangle=s/-RC/~rc/,pgpsigurlmangle=s%$%.sig% \
	https://miniupnp.tuxfamily.org/files/download.php\?file=miniupnpd-(\d\.\d(?:\.\d)?(?:-.*)?).tar.gz

## miniupnpd 2.3.9

=== ipf/Makefile ===
# $Id: Makefile,v 1.2 2013/05/21 08:54:57 nanard Exp $
CC=gcc
CFLAGS=-Wall -g -I.
#CFLAGS=-Wall -g -I. -I../../../../ip_fil5.1.2/
#CFLAGS=-Wall -g -I. -I../../../../ip_fil4.1.35/
#CFLAGS=-Wall -g -I. -I../../../../ip_fil3.4.35/

all:	testipfrdr

clean:
	rm -f *.o testipfrdr

testipfrdr:	testipfrdr.o ipfrdr.o
	$(CC) -o $@ ${.ALLSRC}
#	$(CC) -o $@ $^

ipfrdr.o:	ipfrdr.c

testipfrdr.o:	testipfrdr.c

=== ipfw/Makefile ===
# $Id: Makefile,v 1.3 2012/09/20 12:46:01 nanard Exp $
CC=gcc
CFLAGS=-Wall -g -I.
RM=rm -f

all: testipfwrdr

clean:
	$(RM) *.o testipfwrdr

testipfwrdr: testipfwrdr.o ipfwrdr.o ipfwaux.o
	$(CC) -o $@ $^

ipfwrdr.o: ipfwrdr.c ipfwaux.c

testipfwrdr.o: testipfwrdr.c

=== debian/changelog ===
miniupnpd (2.3.9-2) unstable; urgency=medium

  * Fix autopkgtest.

 -- Yangfl <mmyangfl@gmail.com>  Fri, 09 May 2025 23:45:01 +0800

miniupnpd (2.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Add / update Debconf translations, with thanks to:
    - Portuguese, Américo Monteiro (Closes: #1100584).
    - Dutch, Frans Spiesschaert (Closes: #1101073).
    - German, Helge Kreutzmann (Closes: #1101133).
    - Spanish, Camaleón (Closes: #1101507).
    - Romanian, Remus-Gabriel Chelu (Closes: #1101823).
    - Brazilian Portuguese, Adriano Rafael Gomes (Closes: #1103452).
    - Catalan, Carles Pina i Estany.

 -- Yangfl <mmyangfl@gmail.com>  Sun, 04 May 2025 21:54:16 +0800

=== debian/control ===
Source: miniupnpd
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 libiptc-dev,
 libxtables-dev,
 libnftnl-dev,
 libmnl-dev,
 po-debconf,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/miniupnp-team/miniupnpd
Vcs-Git: https://salsa.debian.org/miniupnp-team/miniupnpd.git
Homepage: https://miniupnp.tuxfamily.org/

Package: miniupnpd
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 debconf,
 uuid-runtime,
 miniupnpd-nftables | miniupnpd-iptables,
 ${misc:Depends},
Description: Lightweight UPnP IGD & PCP/NAT-PMP daemon
 MiniUPnPd is a small daemon which can be installed on a NAT router to provide
 UPnP IGD & PCP/NAT-PMP port mapping services, enabling clients on the LAN to
 ask for port maps. It is compatible with peer-to-peer software, messaging
 applications, and games consoles that connect to online services (including
 Xbox LIVE and the PlayStation Network).

Package: miniupnpd-nftables
Architecture: linux-any
Depends:
 miniupnpd,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: miniupnpd-iptables
Breaks: miniupnpd (<< 2.3.3)
Replaces: miniupnpd (<< 2.3.3)
Description: Lightweight UPnP IGD & PCP/NAT-PMP daemon - nftables backend
 MiniUPnPd is a small daemon which can be installed on a NAT router to provide
 UPnP IGD & PCP/NAT-PMP port mapping services, enabling clients on the LAN to
 ask for port maps. It is compatible with peer-to-peer software, messaging
 applications, and games consoles that connect to online services (including
 Xbox LIVE and the PlayStation Network).
 .
 This package provides miniupnpd with nftables backend.

Package: miniupnpd-iptables
Architecture: linux-any
Depends:
 miniupnpd,
 iptables,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: miniupnpd-nftables
Breaks: miniupnpd (<< 2.3.3)
Replaces: miniupnpd (<< 2.3.3)
Description: Lightweight UPnP IGD & PCP/NAT-PMP daemon - legacy iptables backend
 MiniUPnPd is a small daemon which can be installed on a NAT router to provide
 UPnP IGD & PCP/NAT-PMP port mapping services, enabling clients on the LAN to
 ask for port maps. It is compatible with peer-to-peer software, messaging
 applications, and games consoles that connect to online services (including
 Xbox LIVE and the PlayStation Network).
 .
 This package provides miniupnpd with iptables backend. The iptables/xtables
 framework has been replaced by nftables. You should consider migrating now.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 export SRCDIR = .
 
+# leasefile, see #961877 and merge_requests/1
+CONFIG_ARGS = --ipv6 --igd2 --leasefile --vendorcfg --pcp-peer --portinuse --regex
 
 %:
 	dh $@
@@ -23,12 +25,11 @@
 	# skip
 
 override_dh_auto_build:
-	# leasefile, see #961877 and merge_requests/1
-	./configure --igd2 --ipv6 --vendorcfg --pcp-peer --portinuse --leasefile --firewall=iptables
+	./configure $(CONFIG_ARGS) --firewall=iptables
 	+$(MAKE) -f Makefile.linux miniupnpd
 	mv miniupnpd netfilter/
 	+$(MAKE) -f Makefile.linux clean
-	./configure --igd2 --ipv6 --vendorcfg --pcp-peer --portinuse --leasefile --firewall=nftables
+	./configure $(CONFIG_ARGS) --firewall=nftables
 	+$(MAKE) -f Makefile.linux_nft miniupnpd
 	mv miniupnpd netfilter_nft/
